Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.33 veröffentlicht (03.01.23)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Diskussion: Sicherheitsupdate: MyBB 1.8.25 veröffentlicht
#11
(23.02.2021, 00:48)SvePu schrieb: Steht doch schon drin Wink
Der Hinweis das kein Upgrade durchgeführt werden muss wurde um 19:48 Uhr veröffentlich, der Hinweis das "ein normales Upgrade" durchgeführt werden muss um 19:50 Uhr.

Durch das Lesen in chronologischen Reihenfolge ist es nicht unberechtigt wenn jemand dvaon ausgeht dass doch ein Upgrade durchzuführen ist.

Einfach die Textzeile "Führt ein normales Upgrade durch" im Beitrag 19:50 Uhr entfernen und Missverständnisse werden vermieden.

Besten Dank für das Update auf V1.8.25, es wurde schnell und effizient durchgeführt.
Wenn mir möglich biete ich Hilfe(n) an, ich bitte nicht darum helfen zu dürfen!
MyBB: 1.8.33 | PHP: 7.4.33 | SQL: 5.7.37
Tools [Unixzeit ⇔ Realzeit] ♦ [BOM-Finder] ♦ [SQL-Prefix-Changer] ♦ [USV-Rechner]
Zitieren
#12
Beim Punkt "Aktualisierung von MyBB 1.8.24 auf 1.8.25" steht Update und nicht Upgrade.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#13
(23.02.2021, 11:51)Schnapsnase schrieb: HTML wird bei dir schon noch gehen.
Du bekommst aber sicher keine Style-Tags mehr geparst.
Hattest dafür mit Sicherheit die "class_parser.php" angepasst.
Diese Anpassung musst du jetzt nach dem Update natürlich erneut machen. Wink

Aaaaaah du hast vollkommen recht.
Dann gucken wir mal ob ich finde was ich da abgepasst habe XD ist ne Weile her ...
Zitieren
#14
(23.02.2021, 15:50)Fiji schrieb: Dann gucken wir mal ob ich finde...

Geh in die Datei /inc/class_parser.php ab Zeile 170 steht:
PHP-Code:
// Replace base, meta,script and style tags in our post - these are > dangerous <
$message preg_replace('#<(/?)(base|meta|script|style)([^>]*)>#i''&lt;$1$2$3&gt;'$message);
$message $this->fix_javascript($message); 
ändere in
PHP-Code:
// Replace base, meta,script and style tags in our post - these are > dangerous <
$message preg_replace('#<(/?)(base|meta|script)([^>]*)>#i''&lt;$1$2$3&gt;'$message);
$message $this->fix_javascript($message); 
Zitieren
#15
Danke dir <3
Zitieren


Möglicherweise verwandte Themen…
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Diskussion: MyBB 1.8.33 veröffentlicht StefanT 11 472 07.01.2023, 05:15
Letzter Beitrag: Bogus
  Diskussion: Sicherheitsupdate: MyBB 1.8.32 veröffentlicht StefanT 16 776 02.01.2023, 15:10
Letzter Beitrag: SvePu
  Diskussion: MyBB 1.8.31 veröffentlicht StefanT 3 670 07.10.2022, 07:40
Letzter Beitrag: Gerti
  Diskussion: Sicherheitsupdate: MyBB 1.8.30 veröffentlicht StefanT 9 1.664 22.04.2022, 18:29
Letzter Beitrag: TheStoryteller
  Diskussion: Sicherheitsupdate: MyBB 1.8.29 veröffentlicht StefanT 24 4.613 17.11.2021, 10:33
Letzter Beitrag: bv64